List payment methods for a Merchant
curl --request GET \
--url https://sandbox.foldd.com/account/payment_methods \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.foldd.com/account/payment_methods"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.foldd.com/account/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.foldd.com/account/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.foldd.com/account/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.foldd.com/account/payment_methods")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.foldd.com/account/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"currency": "AED",
"payment_methods": [
{
"payment_method": "card",
"payment_method_types": [
{
"payment_method_type": "ach",
"payment_experience": [
{
"eligible_connectors": [
"stripe",
"adyen"
],
"payment_experience_type": "redirect_to_url"
}
],
"card_networks": [
{
"eligible_connectors": [
"stripe",
"adyen"
],
"card_network": "Visa",
"surcharge_details": {
"surcharge": {
"type": "fixed",
"value": 123
},
"display_surcharge_amount": 123,
"display_tax_on_surcharge_amount": 123,
"display_total_surcharge_amount": 123,
"tax_on_surcharge": {
"percentage": 123
}
}
}
],
"bank_names": [
{
"bank_name": [
"american_express"
],
"eligible_connectors": [
"<string>"
]
}
],
"bank_debits": {
"eligible_connectors": [
"<string>"
]
},
"bank_transfers": {
"eligible_connectors": [
"stripe",
"adyen"
]
},
"required_fields": {},
"surcharge_details": {
"surcharge": {
"type": "fixed",
"value": 123
},
"display_surcharge_amount": 123,
"display_tax_on_surcharge_amount": 123,
"display_total_surcharge_amount": 123,
"tax_on_surcharge": {
"percentage": 123
}
},
"pm_auth_connector": "<string>"
}
]
}
],
"mandate_payment": {
"single_use": {
"amount": 6540,
"currency": "AED",
"start_date": "2022-09-10T00:00:00Z",
"end_date": "2023-09-10T23:59:59Z",
"metadata": {}
}
},
"show_surcharge_breakup_screen": true,
"request_external_three_ds_authentication": true,
"is_tax_calculation_enabled": true,
"redirect_url": "https://www.google.com",
"merchant_name": "<string>",
"payment_type": "normal",
"collect_shipping_details_from_wallets": true,
"collect_billing_details_from_wallets": true
}Payment Methods
List payment methods for a Merchant
Lists the applicable payment methods for a particular Merchant ID. Use the client secret and publishable key authorization to list all relevant payment methods of the merchant for the payment corresponding to the client secret.
GET
/
account
/
payment_methods
List payment methods for a Merchant
curl --request GET \
--url https://sandbox.foldd.com/account/payment_methods \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.foldd.com/account/payment_methods"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.foldd.com/account/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.foldd.com/account/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.foldd.com/account/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.foldd.com/account/payment_methods")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.foldd.com/account/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"currency": "AED",
"payment_methods": [
{
"payment_method": "card",
"payment_method_types": [
{
"payment_method_type": "ach",
"payment_experience": [
{
"eligible_connectors": [
"stripe",
"adyen"
],
"payment_experience_type": "redirect_to_url"
}
],
"card_networks": [
{
"eligible_connectors": [
"stripe",
"adyen"
],
"card_network": "Visa",
"surcharge_details": {
"surcharge": {
"type": "fixed",
"value": 123
},
"display_surcharge_amount": 123,
"display_tax_on_surcharge_amount": 123,
"display_total_surcharge_amount": 123,
"tax_on_surcharge": {
"percentage": 123
}
}
}
],
"bank_names": [
{
"bank_name": [
"american_express"
],
"eligible_connectors": [
"<string>"
]
}
],
"bank_debits": {
"eligible_connectors": [
"<string>"
]
},
"bank_transfers": {
"eligible_connectors": [
"stripe",
"adyen"
]
},
"required_fields": {},
"surcharge_details": {
"surcharge": {
"type": "fixed",
"value": 123
},
"display_surcharge_amount": 123,
"display_tax_on_surcharge_amount": 123,
"display_total_surcharge_amount": 123,
"tax_on_surcharge": {
"percentage": 123
}
},
"pm_auth_connector": "<string>"
}
]
}
],
"mandate_payment": {
"single_use": {
"amount": 6540,
"currency": "AED",
"start_date": "2022-09-10T00:00:00Z",
"end_date": "2023-09-10T23:59:59Z",
"metadata": {}
}
},
"show_surcharge_breakup_screen": true,
"request_external_three_ds_authentication": true,
"is_tax_calculation_enabled": true,
"redirect_url": "https://www.google.com",
"merchant_name": "<string>",
"payment_type": "normal",
"collect_shipping_details_from_wallets": true,
"collect_billing_details_from_wallets": true
}Authorizations
api_keypublishable_key
Path Parameters
The three-letter ISO currency code
The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL Query Parameters
Response
Payment Methods retrieved
The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL